ch.qos.logback.access.jetty

## Class JettyServerAdapter

- java.lang.Object
- - ch.qos.logback.access.jetty.JettyServerAdapter

All Implemented Interfaces:
  ServerAdapter

    public class JettyServerAdapter
    extends Object
    implements ServerAdapter

A jetty specific implementation of the `ServerAdapter` interface.

Author:
  Sébastien Pennec, Ceki Gulcu

### Constructor Summary

Constructors
Constructor and Description
`JettyServerAdapter(org.eclipse.jetty.server.Request jettyRequest, org.eclipse.jetty.server.Response jettyResponse)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,String>` `buildResponseHeaderMap()`
`long` `getContentLength()`
`long` `getRequestTimestamp()`
`int` `getStatusCode()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JettyServerAdapter

    public JettyServerAdapter(org.eclipse.jetty.server.Request jettyRequest,
                              org.eclipse.jetty.server.Response jettyResponse)

### Method Detail

#### getContentLength

    public long getContentLength()

Specified by:
  `getContentLength` in interface `ServerAdapter`

#### getStatusCode

    public int getStatusCode()

Specified by:
  `getStatusCode` in interface `ServerAdapter`

#### getRequestTimestamp

    public long getRequestTimestamp()

Specified by:
  `getRequestTimestamp` in interface `ServerAdapter`

#### buildResponseHeaderMap

    public Map<String,String> buildResponseHeaderMap()

Specified by:
  `buildResponseHeaderMap` in interface `ServerAdapter`